HELICAL(1)

NAME
helical - control Bittorrent client Transmission from command line

SYNOPSIS
helical [options] [[hostname][:port]] [command]

DESCRIPTION
helical is a remote control utility for Bittorrent client Transmission.

By default, helical connects to the Transmission session at localhost:9091. Other sessions can be controlled by specifying a different hostname and/or port.

helical operates in two modes: from command line and in interactive mode. To run helical in interactive mode start it without a command. For the commands list please refer to COMMANDS section.

OPTIONS

-u USERNAME, --username=USERNAME
    Authentication username.

-p PASSWORD, --password=PASSWORD
    Authentication password.

COMMANDS

add torrent-file | URL [target-dir paused=(yes|no) peer-limit=#]
    Add a torrent specified by torrent-file or URL to the transfer list. Use target-dir as download location for torrent. Set paused to yes or no, to start or stop torrent activity respectively. Add peer-limit option to specify maximum number of peers.

exit, quit
    Exit from helical.

info [torrent-id, ...]
    Get details for a torrent. If no torrent-id is provided, all torrents are displayed.

list
    List all torrent transfers.

remove torrent-id [, ...]
    Remove one or more torrents from the transfer list.

session get | stats
    Get session parameters or session statistics.

start torrent-id [, ...]
    Start one or more queued torrent transfers.

stop torrent-id [, ...]
    Stop one or more active torrent transfers.

verify torrent-id [, ...]
    Verify one or more torrent transfers.

AUTHOR
Erik Svensson

SEE ALSO
transmissioncli(1), transmission-daemon(1), transmission-remote(1)

http://www.transmissionbt.com/